!

!
! Last configuration change at 09:32:38 UTC Tue Oct 7 2014
!
version 15.2
service timestamps debug datetime msec
service timestamps log datetime msec
!
hostname R15
!
boot-start-marker
boot-end-marker
!
!
vrf definition internet
 rd 65123:65123
 !
 address-family ipv4
 exit-address-family
 !
 address-family ipv6
 exit-address-family
!
vrf definition server1
 !
 address-family ipv4
 exit-address-family
 !
 address-family ipv6
 exit-address-family
!
vrf definition server2
 !
 address-family ipv4
 exit-address-family
 !
 address-family ipv6
 exit-address-family
!
vrf definition server3
 !
 address-family ipv4
 exit-address-family
 !
 address-family ipv6
 exit-address-family
!
!
no aaa new-model
no ip icmp rate-limit unreachable
!
!
!
!
!
!
no ip domain lookup
ip cef
ipv6 unicast-routing
ipv6 multicast rpf use-bgp
ipv6 multicast vrf internet rpf use-bgp
ipv6 multicast vrf server1 rpf use-bgp
ipv6 multicast vrf server2 rpf use-bgp
ipv6 multicast vrf server3 rpf use-bgp
ipv6 cef
!
!
multilink bundle-name authenticated
!
crypto pki trustpoint TP-self-signed-1248692706
 enrollment selfsigned
 subject-name cn=IOS-Self-Signed-Certificate-1248692706
 revocation-check none
 rsakeypair TP-self-signed-1248692706
!
!
crypto pki certificate chain TP-self-signed-1248692706
!
!
!
!
!
username cisco privilege 15 secret 5 $1$IKXX$nFdbE6Pr.gJqZI5FbiaNA.
!
!
!
!
!
ip tcp synwait-time 5
! 
!
!
!
!
!
!
!
!
interface Loopback0
 description Local Loopback
 ip address 192.122.3.15 255.255.255.255
 ipv6 address ::192:122:3:15/128
!
interface Loopback44
 vrf forwarding internet
 no ip address
 ipv6 address 2004:4:2:2::1/128
!
interface Loopback88
 vrf forwarding internet
 no ip address
 ipv6 address 2008:8:8:8::8/128
!
interface Loopback144
 vrf forwarding internet
 no ip address
 ipv6 address 2004:144:4:4::100/128
!
interface Loopback160
 vrf forwarding internet
 no ip address
 ipv6 address 2006::1/16
!
interface Loopback180
 vrf forwarding internet
 no ip address
 ipv6 address 2004:180::2/32
!
interface Ethernet0/0
 no ip address
 shutdown
 duplex auto
!
interface GigabitEthernet0/0
 ip address 192.168.1.15 255.255.255.0
 shutdown
 media-type gbic
 speed 1000
 duplex full
 negotiation auto
!
interface GigabitEthernet1/0
 no ip address
 negotiation auto
!
interface GigabitEthernet1/0.60
 encapsulation dot1Q 60
 vrf forwarding internet
 ip address 202.4.60.1 255.255.255.254
 ipv6 address 2001:202:4:60::1/127
!
interface GigabitEthernet1/0.134
 encapsulation dot1Q 134
 ip address 172.19.134.15 255.255.255.128
 ipv6 address 2001:172:19:134::15/64
!
interface GigabitEthernet1/0.160
 encapsulation dot1Q 160
 vrf forwarding server3
 ip address 172.23.160.100 255.255.255.0
 ipv6 address 2001:172:23:160::100/64
!
interface GigabitEthernet1/0.170
 encapsulation dot1Q 170
 vrf forwarding server2
 ip address 172.25.170.100 255.255.255.0
 ipv6 address 2001:172:25:170::100/64
!
interface GigabitEthernet1/0.180
 encapsulation dot1Q 180
 vrf forwarding internet
 ip address 202.4.180.1 255.255.255.254
 ipv6 address 2001:202:4:180::1/127
!
interface GigabitEthernet1/0.192
 encapsulation dot1Q 192
 vrf forwarding server1
 ip address 172.27.192.100 255.255.255.0
 ipv6 address 2001:172:27:192::100/64
!
!
router eigrp SERVERS
 !
 address-family ipv4 unicast vrf server2 autonomous-system 123
  !
  topology base
  exit-af-topology
  network 172.25.170.100 0.0.0.0
 exit-address-family
 !
 address-family ipv4 unicast vrf server3 autonomous-system 123
  !
  topology base
  exit-af-topology
  network 172.23.160.100 0.0.0.0
 exit-address-family
!
router bgp 65123
 bgp log-neighbor-changes
 !
 address-family ipv4 vrf internet
  neighbor 202.4.60.0 remote-as 65006
  neighbor 202.4.60.0 activate
  neighbor 202.4.180.0 remote-as 65456
  neighbor 202.4.180.0 activate
 exit-address-family
 !
 address-family ipv6 vrf internet
  redistribute connected route-map IPv6_INTERNET_ROUTES
  neighbor 2001:202:4:60:: remote-as 65600
  neighbor 2001:202:4:60:: activate
 exit-address-family
!
ip forward-protocol nd
!
!
no ip http server
ip http secure-server
ip route vrf server1 0.0.0.0 0.0.0.0 GigabitEthernet1/0.192 172.27.192.254
!
!
route-map IPv6_INTERNET_ROUTES permit 10
 match interface Loopback44 Loopback88 Loopback144 Loopback160 Loopback180
!
!
!
control-plane
!
alias exec shi sh ip int bri
alias exec sho sh runn | s ospf
alias exec she sh runn | s eigrp
alias exec shb sh runn | s bgp
!
line con 0
 exec-timeout 0 0
 privilege level 15
 logging synchronous
 history size 250
 stopbits 1
line aux 0
 exec-timeout 0 0
 privilege level 15
 logging synchronous
 stopbits 1
line vty 0 4
 no login
line vty 5
 privilege level 15
 logging synchronous
 no login
 rotary 1
!
!
end
